### Class method

# Gtk.WidgetClass.get_activate_signal

#### Declaration [src]

    guint
    gtk_widget_class_get_activate_signal (
      WidgetClass* self,
    )

#### Description [src]

Retrieves the signal id for the activation signal set using `gtk_widget_class_set_activate_signal()`.

#### Return value

Returns: `guint`
a signal id, or 0 if the widget class does not specify an activation signal